Subject: [bug#40190] Linux-Libre 5.6

From: Vagrant Cascadian <[email-masked]>
Date: Tue, 31 Mar 2020 10:44:11 -0700

On 2020-03-31, Marius Bakke wrote:
> Vagrant Cascadian <[email-masked]> writes:
>
>> On 2020-03-30, Vagrant Cascadian wrote:
>>> And the second patch, switching to 5.5...
>>
>> And a third, rougher, less well tested patch switching to 5.6... which
>> could obviously be squashed into the previous patches and maybe skip 5.5
>> altogether.
>
> 5.5 is not an LTS kernel, so going straight to 5.6 sounds like the
> right thing to do.  However...
>
>> diff --git a/gnu/packages/aux-files/linux-libre/5.5-arm.conf b/gnu/packages/aux-files/linux-libre/5.6-arm.conf
>> similarity index 100%
>> rename from gnu/packages/aux-files/linux-libre/5.5-arm.conf
>> rename to gnu/packages/aux-files/linux-libre/5.6-arm.conf
>> diff --git a/gnu/packages/aux-files/linux-libre/5.5-arm64.conf b/gnu/packages/aux-files/linux-libre/5.6-arm64.conf
>> similarity index 100%
>> rename from gnu/packages/aux-files/linux-libre/5.5-arm64.conf
>> rename to gnu/packages/aux-files/linux-libre/5.6-arm64.conf
>> diff --git a/gnu/packages/aux-files/linux-libre/5.5-i686.conf b/gnu/packages/aux-files/linux-libre/5.6-i686.conf
>> similarity index 100%
>> rename from gnu/packages/aux-files/linux-libre/5.5-i686.conf
>> rename to gnu/packages/aux-files/linux-libre/5.6-i686.conf
>> diff --git a/gnu/packages/aux-files/linux-libre/5.5-x86_64.conf b/gnu/packages/aux-files/linux-libre/5.6-x86_64.conf
>> similarity index 100%
>> rename from gnu/packages/aux-files/linux-libre/5.5-x86_64.conf
>> rename to gnu/packages/aux-files/linux-libre/5.6-x86_64.conf
>
> This does not seem right.  Surely there are _some_ configuration changes
> in 5.6?

Hence the "rough" patch.

I honestly don't feel solid on all the configuration changes that need
to happen, so haven't been particularly thorough on auditing those.

Running through "make oldconfig" prompted me with many options about
things I didn't really have a good grasp of, so the 5.5 changes at
essentially just the 5.4*.conf copied to 5.5*.conf, and applying the
copying the resulting .config from building the kernel into git...

I could do the same for 5.6 again blindly taking the new defaults... or
if someone could help with auditing the config updates, that would be
great!

FWIW, also boot-tested linux-libre-arm64-generic with 5.6 as well.

live well,
  vagrant